Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156807 - crash while selecting all messages in a filtering view
Summary: crash while selecting all messages in a filtering view
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 13:08 UTC by Avi Kivity
Modified: 2018-04-11 08:21 UTC (History)
1 user (show)

Fixed In Version: FC6-udpated-20070410
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 15:02:31 UTC


Attachments (Terms of Use)

Description Avi Kivity 2005-05-04 13:08:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
I have a view that selects old messages. applying the view on a large folder (lkml) and selecting all messages crashes thunderbird instantly.

server is Microsoft Exchange, I think 5.5.

Version-Release number of selected component (if applicable):
thunderbird-1.0.2-1

How reproducible:
Always

Steps to Reproduce:
1. enter lkml folder
2. apply a view selecting messages older than two weeks
3. select all (ctrl-a)
  

Actual Results:  core dump

Expected Results:  all messages selected

Additional info:

Comment 1 Avi Kivity 2005-05-04 13:14:00 UTC
(gdb) bt
#0  0x0083e7e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00a961b9 in raise () from /lib/libpthread.so.0
#2  0x08057f00 in nsProfileLock::FatalSignalHandler (signo=11) at
nsProfileLock.cpp:205
#3  <signal handler called>
#4  0x08c9f81a in nsImapServerResponseParser::msg_fetch_literal (this=0xab322a4,
chunk=0, origin=0)
    at nsImapServerResponseParser.cpp:2674
#5  0x08ca0f1b in nsImapServerResponseParser::msg_fetch_content (this=0xab322a4,
chunk=0, origin=0,
    content_type=0x8d57dc6 "message/rfc822") at nsImapServerResponseParser.cpp:2063
#6  0x08ca1a21 in nsImapServerResponseParser::msg_fetch (this=0xab322a4) at
nsImapServerResponseParser.cpp:1203
#7  0x08ca203e in nsImapServerResponseParser::numeric_mailbox_data (this=0xab322a4)
    at nsImapServerResponseParser.cpp:1017
#8  0x08ca0e1f in nsImapServerResponseParser::response_data (this=0xab322a4,
advanceToNextLine=0)
    at nsImapServerResponseParser.cpp:750
#9  0x08c9d6aa in nsImapServerResponseParser::ParseIMAPServerResponse
(this=0xab322a4,
    currentCommand=0x9a4d1f0 "74 IDLE\r\n", aIgnoreBadAndNOResponses=0) at
nsImapServerResponseParser.cpp:245
#10 0x08c885cb in nsImapProtocol::ParseIMAPandCheckForNewMail (this=0xab32118,
commandString=0x0,
    aIgnoreBadAndNOResponses=0) at nsImapProtocol.cpp:1513
#11 0x08c8b385 in nsImapProtocol::Idle (this=0xab32118) at nsImapProtocol.cpp:6904
#12 0x08c9682c in nsImapProtocol::ImapThreadMainLoop (this=0xab32118) at
nsImapProtocol.cpp:1191
fr#13 0x08c968d4 in nsImapProtocol::Run (this=0xab32118) at nsImapProtocol.cpp:947
 #14 0x0057fd44 in nsThread::Main (arg=0x9db864c) at nsThread.cpp:118
#15 0x00132701 in _pt_root (arg=0xaad1f68) at ptthread.c:214
#16 0x00a90b80 in start_thread () from /lib/libpthread.so.0
4#17 0x009253fe in clone () from /lib/libc.so.6
(gdb) fr 4
#4  0x08c9f81a in nsImapServerResponseParser::msg_fetch_literal (this=0xab322a4,
chunk=0, origin=0)
    at nsImapServerResponseParser.cpp:2674
2674      fServerConnection.GetCurrentUrl()->GetImapAction(&imapAction);
(gdb) p fServerConnection
$1 = (class nsImapProtocol &) @0xab32118: {<nsIImapProtocol> = {<nsISupports> = {
      _vptr.nsISupports = 0x8d77f48}, <No data fields>}, <nsIRunnable> =
{<nsISupports> = {
      _vptr.nsISupports = 0x8d77fec}, <No data fields>},
<nsIInputStreamCallback> = {<nsISupports> = {
      _vptr.nsISupports = 0x8d78004}, <No data fields>}, <nsMsgProtocol> =
{<nsIStreamListener> = {<nsIRequestObserver> = {<nsISupports> = {
          _vptr.nsISupports = 0x8d7801c}, <No data fields>}, <No data fields>},
<nsIChannel> = {<nsIRequest> = {<nsISupports> = {
          _vptr.nsISupports = 0x8d780e8}, <No data fields>}, <No data fields>},
<nsITransportEventSink> = {<nsISupports> = {_vptr.nsISupports = 0x8d78164}, <No
data fields>}, mRefCnt = {mValue = 2},
    m_outputStream = {<nsCOMPtr_base> = {mRawPtr = 0xb6b0f998}, <No data fields>},
    m_inputStream = {<nsCOMPtr_base> = {mRawPtr = 0xb6bf62c0}, <No data fields>},
    m_transport = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
m_request = {<nsCOMPtr_base> = {
        mRawPtr = 0x0}, <No data fields>}, m_socketIsOpen = 0, m_flags = 5,
m_readCount = 0,
    m_tempMsgFileSpec = {_vptr.nsFileSpec = 0xc412a0, mPath = {mData =
0xa75fd10}, mError = 0},
    m_authModule = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
m_originalUrl = {<nsCOMPtr_base> = {
        mRawPtr = 0x0}, <No data fields>}, m_url = {<nsCOMPtr_base> = {mRawPtr =
0x0}, <No data fields>},
    m_channelListener = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
    m_channelContext = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
m_loadGroup = {<nsCOMPtr_base> = {
        mRawPtr = 0x0}, <No data fields>}, mLoadFlags = 0, mProgressEventSink =
{<nsCOMPtr_base> = {
        mRawPtr = 0x0}, <No data fields>}, mCallbacks = {<nsCOMPtr_base> =
{mRawPtr = 0x0}, <No data fields>},
    mOwner = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
    m_ContentType = {<nsCSubstring> = {<nsACString> = {mVTable = 0x5ae248, mData
= 0x5a422c "", mLength = 0,
          mFlags = 1}, <No data fields>}, <No data fields>},
mSuppressListenerNotifications = 0}, mRefCnt = {
    mValue = 0}, m_urlInProgress = 0, m_gotFEEventCompletion = 0, m_runningUrl =
{<nsCOMPtr_base> = {
      mRawPtr = 0x0}, <No data fields>}, m_imapAction = 268435480,
  m_hostName = {<nsCSubstring> = {<nsACString> = {mVTable = 0x5ae248, mData =
0xa4868f0 "mail.argo.co.il",
        mLength = 15, mFlags = 5}, <No data fields>}, <No data fields>},
m_userName = 0xa7cf9d8 "avi",
  m_serverKey = 0xb3b574a0 "server1", m_dataOutputBuf = 0xb0b8008 "",
m_inputStreamBuffer = 0xa79cd50,
  m_allocatedSize = 8192, m_totalDataSize = 1869488229, m_curReadIndex = 1700929652,
  m_trashFolderName = {<nsFixedCString> = {<nsCString> = {<nsCSubstring> =
{<nsACString> = {mVTable = 0x5ae248,
            mData = 0xab321f0 "", mLength = 0, mFlags = 65553}, <No data
fields>}, <No data fields>},
      mFixedCapacity = 63, mFixedBuf = 0xab321f0 ""},
    mStorage = "\000d period of time.  Tmpwatch is normally used to clean
up\ndirect"},
  m_transport = {<nsCOMPtr_base> = {mRawPtr = 0xb6bf5ca4}, <No data fields>},
  m_channelInputStream = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
  m_channelOutputStream = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
  m_mockChannel = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
m_sinkEventQueue = {<nsCOMPtr_base> = {
      mRawPtr = 0x94734e8}, <No data fields>}, m_iThread = {<nsCOMPtr_base> = {
      mRawPtr = 0x9db8640}, <No data fields>}, m_thread = 0xaad1f68,
m_dataAvailableMonitor = 0xa97fa70,
  m_urlReadyToRunMonitor = 0x9fe5ba8, m_pseudoInterruptMonitor = 0xb22d528,
m_dataMemberMonitor = 0xa0744a8,
  m_threadDeathMonitor = 0xa2705e8, m_eventCompletionMonitor = 0xae43660,
m_waitForBodyIdsMonitor = 0xae436d0,
  m_fetchMsgListMonitor = 0xae43740, m_fetchBodyListMonitor = 0xae437b0,
m_imapThreadIsRunning = 1,
  m_connectionStatus = 1, m_nextUrlReadyToRun = 0, m_server = {<nsCOMPtr_base> = {
      mRawPtr = 0x9aa3d60}, <No data fields>}, m_imapMailFolderSink =
{<nsCOMPtr_base> = {
      mRawPtr = 0xb331d0b0}, <No data fields>}, m_imapMessageSink =
{<nsCOMPtr_base> = {
      mRawPtr = 0x0}, <No data fields>}, m_imapExtensionSink = {<nsCOMPtr_base> = {
      mRawPtr = 0x0}, <No data fields>}, m_imapMiscellaneousSink =
{<nsCOMPtr_base> = {
      mRawPtr = 0x0}, <No data fields>}, m_imapServerSink = {<nsCOMPtr_base> = {
---Type <return> to continue, or q <return> to quit---
      mRawPtr = 0x0}, <No data fields>}, m_currentCommand = {<nsCSubstring> =
{<nsACString> = {
        mVTable = 0x5ae248, mData = 0x9a4d1f0 "74 IDLE\r\n", mLength = 9,
        mFlags = 5}, <No data fields>}, <No data fields>}, m_parser =
{<nsIMAPGenericParser> = {
      _vptr.nsIMAPGenericParser = 0x8d786a8, fNextToken = 0xb3380520 "{3208}",
      fCurrentLine = 0xb33c3710 "* 1013 FETCH (UID 55630 RFC822.SIZE 3208 BODY[]
{3208}\r\n",
      fLineOfTokens = 0xb33804f0 "*", fStartOfLineOfTokens = 0xb33804f0 "*",
      fCurrentTokenPlaceHolder = 0xb3380527 "\n", fAtEndOfLine = 0,
fTokenizerAdvanced = 0,
      fSyntaxErrorLine = 0x0, fSyntaxError = 0, fDisconnected = 0},
fAuthChallenge = 0x0,
    fProcessingTaggedResponse = 0 '\0', fCurrentCommandFailed = 0 '\0',
fReportingErrors = 1 '\001',
    fCurrentFolderReadOnly = 0 '\0', fCurrentLineContainedFlagInfo = 0 '\0',
fFetchingAllFlags = 0 '\0',
    fWaitingForMoreClientInput = 0 '\0', fFetchEverythingRFC822 = 0 '\0',
fServerIsNetscape3xServer = 0 '\0',
    fDownloadingHeaders = 0 '\0', fCurrentCommandIsSingleMessageFetch = 0 '\0',
fGotPermanentFlags = 1 '\001',
    fSavedFlagInfo = 32, fCustomFlags = {<nsVoidArray> = {_vptr.nsVoidArray =
0x5aabe8,
        mImpl = 0x0}, <No data fields>}, fSupportsUserDefinedFlags = 0,
fSettablePermanentFlags = 31,
    fFolderUIDValidity = 17406, fNumberOfUnseenMessages = 6,
fNumberOfExistingMessages = 3817,
    fNumberOfRecentMessages = 0, fCurrentResponseUID = 55630,
fHighestRecordedUID = 71273,
    fSizeOfMostRecentMessage = 3208, fTotalDownloadSize = 0,
fStatusUnseenMessages = 0,
    fStatusRecentMessages = 0, fStatusNextUID = 4294967295,
fStatusExistingMessages = 0,
    fNumberOfTaggedResponsesExpected = 1, fCurrentCommandTag = 0xb71441c8 "74",
    fZeroLengthMessageUidString = {<nsCSubstring> = {<nsACString> = {mVTable =
0x5ae248, mData = 0x5a422c "",
          mLength = 0, mFlags = 1}, <No data fields>}, <No data fields>},
    fSelectedMailboxName = 0xaab9fc8 "linux-kernel", fSearchResults = 0xad7db30,
    fFlagState = {<nsCOMPtr_base> = {mRawPtr = 0xad5c450}, <No data fields>},
    fIMAPstate = nsImapServerResponseParser::kFolderSelected, fCapabilityFlag =
1589809, fMailAccountUrl = 0x0,
    fNetscapeServerVersionString = 0x0, fXSenderInfo = 0x0, fLastAlert = 0x0,
fManageListsUrl = 0x0,
    fManageFiltersUrl = 0x0, fFolderAdminUrl = 0x0, fUidOfSingleMessageFetch =
71271,
    fFetchResponseIndex = 1013, numberOfCharsInThisChunk = 3208, charsReadSoFar
= 0, fLastChunk = 1,
    m_shell = 0x0, fServerConnection = @0xab32118, fHostSessionList = 0x9aa3ee0,
    fCopyResponseKeyArray = {<nsUInt32Array> = {_vptr.nsUInt32Array = 0x8d6a300,
m_nSize = 0, m_nMaxSize = 0,
        m_nGrowBy = 0, m_pData = 0x0}, <No data fields>}}, m_fetchMsgListIsNew =
0, m_fetchCount = 2,
  m_fetchMsgIdList = 0xa5b9b28, m_fetchBodyListIsNew = 0, m_fetchBodyCount = 0,
m_fetchBodyIdList = 0xa5d77e8,
  m_pseudoInterrupted = 0, m_active = 0, m_folderNeedsSubscribing = 0,
m_folderNeedsACLRefreshed = 0,
  m_threadShouldDie = 0, m_flagState = 0xad5c450, m_currentBiffState = 2,
  m_currentServerCommandTag = "74\000ods\n\nSa", m_currentServerCommandTagNumber
= 74, m_trackingTime = 1,
  m_startTime = 1114890841756189, m_endTime = 1114890008543120, m_lastActiveTime
= 1114890841782500,
  m_tooFastTime = 2, m_idealTime = 4, m_chunkAddSize = 2048, m_chunkStartSize =
10240, m_fetchByChunks = 1,
  m_ignoreExpunges = 0, m_useSecAuth = 0, m_chunkSize = 18432, m_chunkThreshold
= 27648,
  m_downloadLineCache = {<nsIImapHeaderInfo> = {<nsISupports> = {
        _vptr.nsISupports = 0x8d77ee8}, <No data fields>}, <nsByteArray> =
{_vptr.nsByteArray = 0x8d77f20,
      m_buffer = 0xa1ab988 "Received: from relay11.argo.co.il (relay11.argo.lan
[10.11.9.44]) by argos.argo.lan with SMTP (Microsoft Exchange Internet Mail
Service Version 5.5.2657.72)\n\tid JG1B5C1G; Sat, 30 Apr 2005 21:45:59 +02"...,
m_bufferSize = 16000, m_bufferPos = 0}, mRefCnt = {mValue = 1}, fLineInfo =
0x9f7e558,
    m_msgSize = 0}, m_hdrDownloadCache = {<nsIImapHeaderXferInfo> =
{<nsISupports> = {
        _vptr.nsISupports = 0x8d77ea8}, <No data fields>}, mRefCnt = {mValue = 1},
    m_hdrInfos = {<nsCOMPtr_base> = {mRawPtr = 0xb84fa80}, <No data fields>},
m_nextFreeHdrInfo = 0},
  m_curHdrInfo = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>},
m_hostSessionList = 0x9aa3ee0,
  m_fromHeaderSeen = 0, m_overRideUrlConnectionInfo = 0, m_logonHost =
{<nsCSubstring> = {<nsACString> = {
        mVTable = 0x5ae248, mData = 0x5a422c "", mLength = 0,
---Type <return> to continue, or q <return> to quit---
        mFlags = 1}, <No data fields>}, <No data fields>}, m_logonCookie =
{<nsCSubstring> = {<nsACString> = {
        mVTable = 0x5ae248, mData = 0x5a422c "", mLength = 0,
        mFlags = 1}, <No data fields>}, <No data fields>}, m_logonPort = 25933,
  mAcceptLanguages = {<nsString> = {<nsSubstring> = {<nsAString> = {mVTable =
0x5ae148, mData = 0xae192d0,
          mLength = 9, mFlags = 9}, <No data fields>}, <No data fields>}, <No
data fields>},
  m_progressString = {<nsString> = {<nsSubstring> = {<nsAString> = {mVTable =
0x5ae148, mData = 0xa7ecf68,
          mLength = 40, mFlags = 9}, <No data fields>}, <No data fields>}, <No
data fields>},
  m_progressStringId = 0, m_progressIndex = 2, m_progressCount = 2,
m_lastProgressStringId = 4294967295,
  m_lastPercent = -1, m_lastProgressTime = 0, m_notifySearchHit = 944,
m_checkForNewMailDownloadsHeaders = 1,
  m_needNoop = 0, m_idle = 1, m_useIdle = 1, m_noopCount = 7, m_autoSubscribe =
1, m_autoUnsubscribe = 1,
  m_autoSubscribeOnOpen = 1, m_closeNeededBeforeSelect = 0, m_retryUrlOnError = 0,
  m_hierarchyNameState = nsImapProtocol::kNoOperationInProgress,
m_discoveryStatus = eContinue,
  m_listedMailboxList = {_vptr.nsVoidArray = 0x5aab88, mImpl = 0x0},
m_deletableChildren = 0x0,
  m_flagChangeCount = 1, m_lastCheckTime = 1114890808402882}


(hope my password isn't in that dump)

Comment 2 Matěj Cepl 2007-04-06 15:35:15 UTC
Reporter, sorry for forgetting about this bug. Is it still relevant with the
latest update of your system (do you have still Rawhide)?

Comment 3 Avi Kivity 2007-04-08 07:00:36 UTC
It appears to be fixed.  I'm running FC6, but that's much later than the 
report's rawhide.


Note You need to log in before you can comment on or make changes to this bug.